%define name	gdb
%define version	7.8
%define release	%mkrel 1
#define cvsdate	20090929

# Extract Mandriva Linux name and version
%define mdv_distro_version	%(perl -ne '/^([.\\w\\s]+) \\(.+\\).+/ and print $1' < /etc/release)

%define Werror_cflags %nil

Summary:	A GNU source-level debugger for C, C++ and Fortran
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3+
Group:		Development/Other
URL:		http://www.gnu.org/software/gdb/
Source0:	gdb-%{version}%{?cvsdate:.%{cvsdate}}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post):	info-install
Requires(preun):	info-install
BuildRequires:	bison
#BuildRequires:	cloog-ppl-devel
BuildRequires:	flex
BuildRequires:	ncurses-devel
BuildRequires:	libexpat-devel
BuildRequires:	libpython-devel
BuildRequires:	librpm-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	texinfo

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your programs.

%prep
%setup -q -n %{name}-%{version}%{?cvsdate:.%{cvsdate}}

cat > gdb/version.in << EOF
%{version}-%{release} (%{mdv_distro_version})
EOF

%build

%configure2_5x --with-separate-debug-dir=%{_libdir}/debug \
               --with-pythondir=%{_datadir}/gdb/python \
               --with-rpm --with-expat \
               --enable-build-warnings=no
%make
make info

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# The above is broken, do this for now:
mkdir -p $RPM_BUILD_ROOT%{_infodir}
cp `find . -name "*.info*"` $RPM_BUILD_ROOT/%{_infodir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir $RPM_BUILD_ROOT%{_infodir}/dir.info* 
rm -f $RPM_BUILD_ROOT%{_bindir}/{texindex,texi2dvi,makeinfo,install-info,info}

# These are part of binutils
rm -f $RPM_BUILD_ROOT%{_infodir}/{bfd,standard,readline,history,info,texinfo}*
rm -fr $RPM_BUILD_ROOT%{_includedir}
rm -fr $RPM_BUILD_ROOT%{_libdir}/lib{bfd*,opcodes*,iberty*}

# Remove even more unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libmmalloc.a
rm -f $RPM_BUILD_ROOT%{_infodir}/{configure,libiberty,rluserman}.info*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/
rm -f $RPM_BUILD_ROOT%{_infodir}/annotate.info*

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{_install_info gdb.info}
%{_install_info gdbint.info}
%{_install_info stabs.info}

%preun
if [ $1 = 0 ]; then
%{_remove_install_info gdb.info}
%{_remove_install_info gdbint.info}
%{_remove_install_info stabs.info}
fi

%files
%defattr(-,root,root)
%doc README gdb/NEWS
%{_bindir}/gdb
%{_bindir}/gdbserver
%{_bindir}/gcore
%{_datadir}/gdb
%ifarch %mips
%{_libdir}/lib*-mandriva-linux-gnu-sim.a
%endif
%{_mandir}/man1/gdb.1*
%{_mandir}/man1/gdbserver.1*
%{_mandir}/man1/gcore.1.bz2
%{_mandir}/man5/gdbinit.5.bz2
%{_infodir}/gdb.info*
%{_infodir}/stabs.info*
%{_libdir}/libinproctrace.so


%changelog
* Wed Aug 20 2014 ghostbunny <ghostbunny at gmx dot de> 7.8-1pclos2014
- 7.8
- recompress source to tar.xz
- set separate debug dir to _libdir instead of prefix/lib
- fix files section for new files

* Tue Aug 20 2013 billybot <billybot> 7.6-1pclos2013
- update python 2.7

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 7.1-2pclos2010
- rebuild

